<?php
class Total_Kadobon_Model_Sources_States extends Varien_Object
{
    static public function toOptionArray()
    {
        $states=Mage::getSingleton('sales/order_config')->getVisibleOnFrontStates();
        
        $options=array();
        $options['']=Mage::helper('kadobon')->__('-- Please Select --');
        
        foreach($states as $value=>$label)
        {
            $options[]=array('value'=>$label, 'label'=>$label);
        }
        
        return $options;
    }
}